Python
from kombo import Kombo
with Kombo(
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.general.set_integration_enabled(integration_id="<id>", value=False)
# Handle response
print(res)import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.general.setIntegrationEnabled({
integration_id: "<id>",
body: {
value: false,
},
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.general.set_integration_enabled(integration_id: '<id>', body: Models::Shared::PutIntegrationsIntegrationIdEnabledRequestBody.new(
value: false
))
unless res.put_integrations_integration_id_enabled_positive_response.nil?
# handle response
endcurl --request PUT \
--url https://api.kombo.dev/v1/integrations/{integration_id}/enabled \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"value": true
}'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: true})
};
fetch('https://api.kombo.dev/v1/integrations/{integration_id}/enabled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/integrations/{integration_id}/enabled",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'value' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/integrations/{integration_id}/enabled"
payload := strings.NewReader("{\n \"value\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.kombo.dev/v1/integrations/{integration_id}/enabled")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"value\": true\n}")
.asString();{
"status": "<string>",
"data": {}
}Integrations
Set integration enabled
Enable or disable the specified integration. When disabling, all currently running syncs will be cancelled.
PUT
/
integrations
/
{integration_id}
/
enabled
Python
from kombo import Kombo
with Kombo(
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.general.set_integration_enabled(integration_id="<id>", value=False)
# Handle response
print(res)import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.general.setIntegrationEnabled({
integration_id: "<id>",
body: {
value: false,
},
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.general.set_integration_enabled(integration_id: '<id>', body: Models::Shared::PutIntegrationsIntegrationIdEnabledRequestBody.new(
value: false
))
unless res.put_integrations_integration_id_enabled_positive_response.nil?
# handle response
endAll authentication credentials and configuration are preserved. Syncs can be resumed by re-enabling the integration.
You may use this to, for example, pause syncing for customers that are temporarily not using the integration.
Authorizations
Path Parameters
PUT /integrations/:integration_id/enabled Parameter
Body
application/json
PUT /integrations/:integration_id/enabled Request body
The desired state of the integration (e.g., true for enabled, false for disabled).
Was this page helpful?
⌘I